Describe Cyber Policy
curl --request GET \
--url https://public-api.cloudidr.com/external/api/v1/policies/cyber/{cidr_id}/view \
--header 'Authorization: Bearer <token>'import requests
url = "https://public-api.cloudidr.com/external/api/v1/policies/cyber/{cidr_id}/view"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public-api.cloudidr.com/external/api/v1/policies/cyber/{cidr_id}/view', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"code": "401",
"message": "Unauthorized",
"details": {
"timestamp": "2025-03-04T17:01:01",
"description": "Unable to process access token"
}
}
}{
"error": {
"code": "404",
"message": "Not Found",
"details": {
"timestamp": "2025-03-04T17:15:55",
"description": "Cidr rFVrfliRmYgD1 not found"
}
}
}{
"error": {
"code": "500",
"message": "Internal Server Error",
"details": {
"timestamp": "2025-03-04T17:17:08",
"description": "Unexpected error. Our team is working on it"
}
}
}Disaster Recovery
Describe Cyber Policy
This response provides detailed view information for a cyber policy, including policy details, region settings, instances, dates, disaster recovery events, and pricing.
GET
/
external
/
api
/
v1
/
policies
/
cyber
/
{cidr_id}
/
view
Describe Cyber Policy
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A unique identifier representing the cyber policy or customer view. This ID is used to retrieve detailed view information.
Response
Success - Returns detailed cyber policy information
⌘I

